Debian Bug report logs - #573054
packages in config/chroot_local-packages have lowest priority

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: gator_ml@yahoo.de

Date: Mon, 8 Mar 2010 15:04:25 UTC

Severity: minor

Fixed in version live-build/3.0~a35-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#573054; Package live-helper. (Mon, 08 Mar 2010 15:04:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to gator_ml@yahoo.de:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 08 Mar 2010 15:04:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gator_ml@yahoo.de
To: submit@bugs.debian.org
Subject: packages in config/chroot_local-packages have lowest priority
Date: Mon, 8 Mar 2010 15:52:13 +0100
Package: live-helper
Version: 2.0~a8-1

When a package is put into config/chroot_local-packages for
installation, but an equivalent package is also available from the
default package sources, apt will always install the package from the
default source and not the one in config/chroot_local-packages.

There already had been a bug report referring to this issue for
version live-helper/2.0~a6-1 (bug #569619) which is supposed to be
fixed now by putting the local packages into 
"/etc/apt/sources.list.d/local-packages.list". Unfortunately, this
change does not resolve the problem, because /etc/apt/sources.list
is always given a higher priority than anything in this directory 
(see also http://article.gmane.org/gmane.linux.debian.devel.live/7489/)

I'd suggest to return to the previous solution to put the local packages
into "/etc/apt/sources.list" but put them at the beginning of the file:
This way, even if the same package version is available from
different sources, apt will always install the package from
config/chroot_local-packages





Severity set to 'minor' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 23 Jun 2010 23:48:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-helper' to 'live-build'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:13 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-helper/2.0~a8-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#573054; Package live-build. (Mon, 03 Oct 2011 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 03 Oct 2011 10:42:05 GMT) Full text and rfc822 format available.


Message #16 received at 573054@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 573054@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Date: Mon, 03 Oct 2011 12:39:30 +0200
tag 573054 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 03 Oct 2011 10:42:20 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 08 Oct 2011 09:21:06 GMT) Full text and rfc822 format available.

Notification sent to gator_ml@yahoo.de:
Bug acknowledged by developer. (Sat, 08 Oct 2011 09:21:06 GMT) Full text and rfc822 format available.

Message #23 received at 573054-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573054-close@bugs.debian.org
Subject: Bug#573054: fixed in live-build 3.0~a35-1
Date: Sat, 08 Oct 2011 09:19:24 +0000
Source: live-build
Source-Version: 3.0~a35-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a35-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a35-1_all.deb
live-build-cron_3.0~a35-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a35-1_all.deb
live-build_3.0~a35-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a35-1.debian.tar.gz
live-build_3.0~a35-1.dsc
  to main/l/live-build/live-build_3.0~a35-1.dsc
live-build_3.0~a35-1_all.deb
  to main/l/live-build/live-build_3.0~a35-1_all.deb
live-build_3.0~a35.orig.tar.gz
  to main/l/live-build/live-build_3.0~a35.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573054@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Oct 2011 10:57:04 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a35-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 573054 643926
Changes: 
 live-build (3.0~a35-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Treating sources.list top-level file specially to workaround bug in
     apt that makes sources.list.d sources to be never prefered over main
     sources.list when using pinning (Closes: #573054).
   * Making top sources.list conditional, not everyone necessarily always
     uses that.
   * Marking tct in debian-forensics package list as squeeze only, thanks
     to Michael Milligan <mmilligan@astro.umn.edu> (Closes: #643926).
 .
   [ Ben Howard ]
   * Adding check for missing mtab during chrooted binary rootfs stage.
 .
   [ Daniel Baumann ]
   * Updating ettercap entries in rescue list for wheezy, thanks to
     Michael Milligan <mmilligan@astro.umn.edu>.
   * Marking ntfsprogs as squeeze only in rescue list, thanks to Michael
     Milligan <mmilligan@astro.umn.edu>.
   * Adding bug number to comments when moving top-level sources.list.
 .
   [ Ben Howard ]
   * Adding Ubuntu Cloud images packages lists.
   * Adding foreign bootstrap via qemu for cross arch building.
Checksums-Sha1: 
 b7dd1fe2353b8cdedc56cfe20651552d6337524d 1413 live-build_3.0~a35-1.dsc
 f59a70b24c125096fcc78a2053b6a4441bbd9ea5 1821738 live-build_3.0~a35.orig.tar.gz
 58cd49e263113a97d4323f2a654db32815daf586 49926 live-build_3.0~a35-1.debian.tar.gz
 785cd5f694952cef3e019dd4613fbe583deb38e3 1133924 live-build_3.0~a35-1_all.deb
 719852cc73a3d5382e4408e2fd44a05a2c5aab7b 63272 live-build-cgi_3.0~a35-1_all.deb
 22f3efe8ee307b4fe614b92185cda2156b07c8e1 63366 live-build-cron_3.0~a35-1_all.deb
Checksums-Sha256: 
 b6d2345a87930b2d40b86e2b67fb55a8dbdfdba19521aa9e713e76d0cd75a44d 1413 live-build_3.0~a35-1.dsc
 2b349e2ec06c9f644ba6ea5c3272ed0faa48059e900aeff2151940bb713272cc 1821738 live-build_3.0~a35.orig.tar.gz
 927b2b0ef209e17c10f2334a2a623d0388e706fd82cc4fe1db9d5573391f1104 49926 live-build_3.0~a35-1.debian.tar.gz
 96bb0f2b3fcf0dbb53acd610f2f5ca881b838d5628ae1dcb081e15dddee3d8fb 1133924 live-build_3.0~a35-1_all.deb
 a6301a7846d6b10c77c4e13afc1a9c9b9faa653c8150757b466f64bba30b2335 63272 live-build-cgi_3.0~a35-1_all.deb
 70d76a32ee054b2359bb16ec0f509d64b75aadfacb15cf291d0aa85d800ecd4c 63366 live-build-cron_3.0~a35-1_all.deb
Files: 
 a45b38409a9c71d994401065d63c056a 1413 misc optional live-build_3.0~a35-1.dsc
 267c8662f3a737bdcbf0d3f91d19d2f8 1821738 misc optional live-build_3.0~a35.orig.tar.gz
 cfb59815ed70a7fd2ede845ace88701f 49926 misc optional live-build_3.0~a35-1.debian.tar.gz
 87957a7ac9f35e2391ec7cad1d45acd3 1133924 misc optional live-build_3.0~a35-1_all.deb
 f264fa27dd3604ce105a2d0536bf7a0b 63272 misc optional live-build-cgi_3.0~a35-1_all.deb
 ebcf676acf54765410b1d4e132e7f67e 63366 misc optional live-build-cron_3.0~a35-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk6QEecACgkQ+C5cwEsrK57CTACffOBQ3fi7qU2dqafagghuSGXv
PYsAnRMK4nEmUD2Y9zq80vvrf55bybhY
=YJnP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:37:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:04:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.